"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/helptips/onboardingcompletetip.js
var onboardingcompletetip_exports = {};
__export(onboardingcompletetip_exports, {
  CompletionButton: () => CompletionButton,
  OnboardingCompleteTip: () => OnboardingCompleteTip,
  default: () => onboardingcompletetip_default
});
module.exports = __toCommonJS(onboardingcompletetip_exports);
var import_react = __toESM(require("react"), 1);
var import_react_redux = require("react-redux");
var import_icons_material = require("@mui/icons-material");
var import_material = require("@mui/material");
var import_mui = require("tss-react/mui");
var import_common_ui = require("@northern.tech/common-ui");
var import_constants = require("@northern.tech/store/constants");
var import_selectors = require("@northern.tech/store/selectors");
var import_thunks = require("@northern.tech/store/thunks");
var import_jsx_runtime = require("react/jsx-runtime");
var CompletionButton = (0, import_mui.withStyles)(import_material.Button, ({ palette }) => ({
  root: {
    backgroundColor: palette.background.default,
    "&:hover": {
      backgroundColor: palette.background.default
    }
  }
}));
var OnboardingCompleteTip = ({ anchor, targetUrl }) => {
  const timer = (0, import_react.useRef)();
  const dispatch = (0, import_react_redux.useDispatch)();
  const url = (0, import_react_redux.useSelector)(import_selectors.getDemoDeviceAddress) || targetUrl;
  (0, import_react.useEffect)(() => {
    dispatch((0, import_thunks.getDevicesByStatus)({ status: import_constants.DEVICE_STATES.accepted })).unwrap().then((tasks) => {
      return Promise.all(tasks[tasks.length - 1].deviceAccu.ids.map((id) => dispatch((0, import_thunks.getDeviceById)(id))));
    }).finally(() => {
      timer.current = setTimeout(() => dispatch((0, import_thunks.setOnboardingComplete)(true)), 12e4);
    });
    return () => {
      clearTimeout(timer.current);
    };
  }, [dispatch]);
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
    import_common_ui.MenderTooltipClickable,
    {
      className: "tooltip onboard-icon onboard-tip",
      id: import_constants.onboardingSteps.DEPLOYMENTS_PAST_COMPLETED,
      onboarding: true,
      startOpen: true,
      style: anchor,
      PopperProps: { style: { marginLeft: -30, marginTop: -20 } },
      title: /* @__PURE__ */ (0, import_jsx_runtime.jsxs)("div", { className: "content", children: [
        /* @__PURE__ */ (0, import_jsx_runtime.jsxs)("b", { children: [
          /* @__PURE__ */ (0, import_jsx_runtime.jsx)("p", { children: "Fantastic! You completed your first deployment!" }),
          /* @__PURE__ */ (0, import_jsx_runtime.jsx)("p", { children: "Your deployment is finished and your device is now running the updated software." })
        ] }),
        /* @__PURE__ */ (0, import_jsx_runtime.jsxs)("div", { className: "margin-bottom-small margin-top-small", children: [
          !url ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_common_ui.Loader, { show: true }) : /* @__PURE__ */ (0, import_jsx_runtime.jsx)(CompletionButton, { className: "button", variant: "text", href: `${url}/index.html?source=${encodeURIComponent(window.location)}`, target: "_blank", children: `Go to ${url}` }),
          /* @__PURE__ */ (0, import_jsx_runtime.jsx)("br", {}),
          "and you should see the demo web application actually being run on the device."
        ] }),
        /* @__PURE__ */ (0, import_jsx_runtime.jsx)("p", { children: "NOTE: if you have local network restrictions, you may need to check them if you have difficulty loading the page." }),
        /* @__PURE__ */ (0, import_jsx_runtime.jsxs)("div", { className: "flexbox", children: [
          /* @__PURE__ */ (0, import_jsx_runtime.jsx)("div", { style: { flexGrow: 1 } }),
          /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Button, { variant: "contained", color: "secondary", onClick: () => dispatch((0, import_thunks.setOnboardingComplete)(true)), children: "Close" })
        ] })
      ] }),
      children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.CheckCircle, {})
    }
  );
};
var onboardingcompletetip_default = OnboardingCompleteTip;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CompletionButton,
  OnboardingCompleteTip
});
//# sourceMappingURL=onboardingcompletetip.cjs.map